### Method

# Gtk Shortcutset_action

#### Declaration [src]

    void
    gtk_shortcut_set_action (
      GtkShortcut* self,
      GtkShortcutAction* action
    )

#### Description [src]

Sets the new action for `self` to be `action`.

Sets property | `Gtk.Shortcut:action`

#### Parameters

`action`

  Type: `GtkShortcutAction`

  The new action. If the `action` is `NULL`, the nothing action will be used.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.